Bug 227533 - [dark] Diff is hard to read
[dark] Diff is hard to read
Status: RESOLVED FIXED
Product: ide
Classification: Unclassified
Component: UI
7.4
PC Linux
: P3 (vote)
: 7.4
Assigned To: Stanislav Aubrecht
issues@ide
:
Depends on:
Blocks: 225542
  Show dependency treegraph
 
Reported: 2013-03-15 14:55 UTC by Antonin Nebuzelsky
Modified: 2013-06-27 02:16 UTC (History)
2 users (show)

See Also:
Issue Type: DEFECT
:


Attachments
Diff (161.48 KB, image/png)
2013-03-15 14:55 UTC, Antonin Nebuzelsky
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Antonin Nebuzelsky 2013-03-15 14:55:13 UTC
Created attachment 132661 [details]
Diff

See the attached screenshot.
Comment 1 Stanislav Aubrecht 2013-03-18 14:04:10 UTC
core-main fae139db5d52
Comment 2 Quality Engineering 2013-03-20 02:08:03 UTC
Integrated into 'main-golden', will be available in build *201303192300* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main-golden/rev/fae139db5d52
User: S. Aubrecht <saubrecht@netbeans.org>
Log: #227533 - [dark] Diff is hard to read
Comment 3 Ondrej Vrabec 2013-06-26 09:37:35 UTC
There is still one problem. For diff colors there is no way to return back to default colors. Tools -> Options -> Fonts & Colors, tab Diff lists all colors but they have no Reset button (while Versioning tab allows return to default). I will add the button to the panel.
Comment 4 Tomas Mysik 2013-06-26 09:37:57 UTC
Sorry, reopening, I just filed issue #231821 - have a look at the screenshots I have attached there. Not sure if it makes any difference but I am not using Fonts & Colors theme bundled with NetBeans (but one downloaded from Internet).

Thanks.
Comment 5 Ondrej Vrabec 2013-06-26 11:03:56 UTC
adding the "Reset Colors" button, use the button to revert to window system's default values

fix: http://hg.netbeans.org/core-main/rev/8ccc9d0e9eb7
Comment 6 Quality Engineering 2013-06-27 02:16:13 UTC
Integrated into 'main-golden', will be available in build *201306262301* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main-golden/rev/8ccc9d0e9eb7
User: Ondrej Vrabec <ovrabec@netbeans.org>
Log: #227533 - [dark] Diff is hard to read
adding reset button restoring window system default diff colors


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo